import { App, Slot } from "vue";
import { ContextMenuInstance, MenuOptions } from "./ContextMenuDefine";
import { closeContextMenu } from "./ContextMenuMutex";
import { transformMenuPosition } from "./ContextMenuUtils";
declare const _default: {
    /**
     * For Vue install
     * @param app
     */
    install(app: App<Element>): void;
    /**
     * Show a ContextMenu in page, same as `this.$contextmenu`
     * @param options The options of ContextMenu
     * @param customSlots You can provide some custom slots to customize the rendering style of the menu. These slots are the same as the slots of component ContextMenu.
     * @returns Menu instance
     */
    showContextMenu(options: MenuOptions, customSlots?: Record<string, Slot> | undefined): ContextMenuInstance;
    closeContextMenu: typeof closeContextMenu;
    transformMenuPosition: typeof transformMenuPosition;
};
export default _default;
